Page MenuHomePhabricator

Reduce recurring TY emails
Closed, ResolvedPublic

Description

We want to change the Thank You email functionality for monthly recurring donors. Currently, they get the same email every month as they got on their first donation. We would like to change that so that they:
1.) Receive the same TY email they are receiving now at the time of their first donations
2.) Do not automatically receive TY emails on the date of their subsequent donations

We are not following step 3 on the accompanying doc:
https://docs.google.com/document/d/1PxsoA8Ln1_WJjnjE_78GvPD8WmzZhs3ypWkPnyQ_zJc/edit

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

If it's possible to add an amendment/rider to this task, specifying 'one-time' for non-recurring donations early in the TY email text would be a big win for DS, and prevent a lot of unneeded tickets. I can make a separate task if that makes sense.

This works for me! Michael added this suggestion as a comment in the doc
because we weren't sure of the easiest way to represent it in the copy.

Before this happens we'll need to change this footer text which appears in the banners:

If you make a recurring donation, you will be debited by the Wikimedia Foundation until you notify us to stop. We'll send you an email receipt for each payment, which will include a link to easy cancellation instructions.

I would suggest simply:

If you make a recurring donation, you will be debited by the Wikimedia Foundation until you notify us to stop. We'll send you an email with a link to easy cancellation instructions.

@MBeat33 @CCogdill_WMF @jrobell Does this look okay to you?

Thanks, @Pcoombe for catching that. I would suggest:

If you make a recurring monthly donation, you will be debited by the Wikimedia Foundation until you notify us to stop. To cancel, please see our easy cancellation instructions, or email donate@wikimedia.org.

Unless the donate@ address is already mentioned somewhere else in the banner.

It's a little silly - the instructions also ask donors to email us, but it has some more useful things like not including card #s, which wouldn't fit in the banner.

So that is actually included in the paragraph we're adding in the body of
the email. Can we remove it from the footer altogether?

@MBeat33 We don't include the donate@ email in the banner yet, so that could be added. It may cause you to get more unrelated emails though.

@CCogdill_WMF I'm not sure we would want to remove it completely, we do want it to be clear donors can cancel at any time or they might not choose a recurring donation to start with. @jrobell any thoughts?

It's still in the copy, it's just higher up. Here is the paragraph we're
proposing we add under the first paragraph, only to display to recurring
donors:

[ifRecurring]Your donation keeps Wikipedia independent, and your monthly
support is essential for long-term planning, helping us see what Wikipedia
can achieve in the years ahead. Once a month on the %DAYOFMONTH%, a
donation of %AMOUNT% will be debited by the Wikimedia Foundation until you
notify us to stop. *We will send you a summary each January of your
contributions for the year.* If for whatever reason you wish to cancel your
support, follow these[#recurringCancel easy cancellation instructions].
[endifRecurring]

fr-creative discussed this today, and agreed on the following language for the banner footer

If you make a recurring donation, you will be debited by the Wikimedia Foundation until you notify us to stop. We'll send you an email receipt for each payment, which will include a link to easy cancellation instructions.

Thea will update our banners with this.

Cstone claimed this task.Feb 5 2019, 9:17 PM

Change 490666 had a related patch set uploaded (by Cstone; owner: Cstone):
[wikimedia/fundraising/crm@master] Add in check to set no_thank_you field for recurring payments after the first recurring payment.

https://gerrit.wikimedia.org/r/490666

Hey there! Just checking to see if we have the new text translated in
Italian (and in bundle countries?) before making this change live, since
we'll need to notify any new recurring donors they won't be receiving
future emails.

Ejegg added a subscriber: Ejegg.Feb 15 2019, 1:53 AM

Looks like the Italian hasn't been changed since last June. Italian's also still using the 20171019 email. The 2018-10-01 TY email only exists in English, Catalan, Danish, and Japanese. @jrobell what's the process for getting more translations of the new version?

I think it’s okag that we’re still using the old TY email copy, if we need
to, but we should at least get the new recurring paragraph added.

Le jeu. 14 févr. 2019 à 17:53, Ejegg <no-reply@phabricator.wikimedia.org> a
écrit :

Ejegg added a comment.
Looks like the Italian hasn't been changed since last June. Italian's also
still using the 20171019 email. The 2018-10-01 TY email only exists in
English, Catalan, Danish, and Japanese. @jrobell
https://phabricator.wikimedia.org/p/jrobell/ what's the process for
getting more translations of the new version?
*TASK DETAIL*
https://phabricator.wikimedia.org/T213209
*EMAIL PREFERENCES*
https://phabricator.wikimedia.org/settings/panel/emailpreferences/
*To: *Cstone, Ejegg
*Cc: *Ejegg, gerritbot, jrobell, MBeat33, Pcoombe, mepps, CCogdill_WMF,
Aklapper, DStrine, CucyNoiD, NebulousIris, Gaboe420, Versusxo,
Majesticalreaper22, Giuliamocci, Adrian1985, Cpaulf30, Baloch007,
Darkminds3113, Bsandipan, Lordiis, Adik2382, Th3d3v1ls, Ramalepe, Liugev6,
EBjune, Lewizho99, Maathavan

One question, probably for @CCogdill_WMF - will we send a one-time email to current donors letting them know not to expect a receipt the following month?

We adjusted the copy in the regular TY email to reflect the fact that
they'll only get an EOY receipt. That's why I want to make sure that text
is translated before this goes live.

Ejegg added a comment.Mar 5 2019, 5:11 PM

@jrobell, @CCogdill_WMF et al: The code change to stop sending letters after the first installment is ready to merge. Is the new Thank You text ready yet? What languages need updates?

@Ejegg thanks for bumping! Jessica and I just checked-in. This is such a huge translation request that it'll take a bit more time to get ready. All translations should be ready and on Meta by EOM. Jessica wants to confirm fr-tech will be ready to publish the new TY email in every language at that time. Is that in the plan?

Ejegg added a comment.Mar 7 2019, 1:24 AM

Sure, we should be able to publish them all at once! Any chance this will also mean the translations all come from the 2018 letter? The fact that we have different base URLs for the letters in different languages means a little bit of extra tweaking in each deploy.

Hm, I'll need to check with @jrobell on that. I don't think we were
planning on putting the whole TY letter in the translation request as that
will be more expensive and time-consuming, but maybe it's worth killing two
birds...

jrobell added a subscriber: TSkaff.Mar 13 2019, 9:02 AM

Hi all,

@TSkaff and I are working on getting the 2018 TY email translated into all languages while we are at it. Two questions that I think are mainly for @CCogdill_WMF

#1. Can we keep the SL from the 2017 email? ie. Thank you from the Wikimedia Foundation. It seems that the currency symbol in the SL is already causing us some trouble and I am guessing this will only get worse the more languages and currencies we add. related task [https://phabricator.wikimedia.org/T207674]

#2. In the recurring specific copy, can we add *previous* to this phrase: *We will send you a summary each January of your contributions for the *previous* year.

Thanks!

Thanks

#1 - There's actually another open task about this. We can just drop the amount from the SL and it should still make sense. "Your gift = free knowledge for billions"

#2 - Fine by me! I'll update the doc.

Thanks @CCogdill_WMF . I added that SL to the Translation request.

mepps moved this task from Done to Review on the Fundraising Sprint Ewoks Take Manhattan board.

Oops, this was just a mistaken click!

Ejegg added a comment.Apr 25 2019, 9:41 PM

Looks like there are some translations up over at https://meta.wikimedia.org/wiki/Fundraising/Translation/Thank_you_email_2018-10-01 . Are these ready to deploy?

TSkaff added a comment.EditedApr 25 2019, 9:47 PM

Waiting on Japanese & then we'll be ready--I guess I can ping this thread when it's done and don't need to make a fresh Phab task, then?
Thanks @Ejegg!

Sure thing @TSkaff. Thanks for the update.

Hey @TSkaff any news on translations?

@DStrine Just waiting on a response from the ED WMF Israel--she emailed a day ago with translation question. As soon as I hear back from her I'll let you know and we can go ahead.

Hey @TSkaff @CCogdill_WMF @jrobell

I was thinking through this. We have never ran ingenco or paypal in Israel (if we did it predates Multilingual master data). This means we shouldn't have many recurring donors. The only way someone would require a Hebrew recurring thank you letter is if they donated through another country's campaign and then requested a preferred language change through DS to change their language to Hebrew. So I feel like the number of donors would be so small that they could probably tolerate an english email at least once.

I feel like we can go ahead and put this feature on production and we'll fix the Hebrew version when it comes in. Thoughts?

Thank you once again Thea for all your work on this! I am OK with going ahead with all versions except Hebrew and Japanese that we are also waiting for and get those in when we can. Thanks all!

TSkaff added a comment.May 1 2019, 3:58 PM

@Ejegg @DStrine @jrobell Ok, we are good to deploy the new TY email: https://meta.wikimedia.org/wiki/Fundraising/Translation/Thank_you_email_2018-10-01

... specifically, the following languages:

en (there were a few changes to it)
ca
da
de
es
es-419 (the one for Latin America)
fr
he
hu
it
lv
nb
nl
pl
pt
pt-br
ro
ru
sk
sv
uk

A reminder we aren't doing Japanese (jp) right now and we didn't work on those Indonesian & Chinese ones.
Let me know if you need anything else from my end, thank you!

Ejegg added a comment.May 2 2019, 8:24 PM

ca - [givenname] should be [given name]
pt-br - something funky with #recurringCancelinstru
da, de, es, es-419, fr, he, hu, it, lv, nb, nl, pl, pt, pt-br, ro, ru, sk, sv, uk: $amount rather than [amount]

Ejegg added a comment.May 2 2019, 8:33 PM

ok, it looks like there's a problem with the translation of the 7th paragraph. The English source has been updated to include a few new sentences, including one with a tvar for the amount. But... looking at the translate interface for other languages, the source for that paragraph is the old single-sentence text, with no amount. Maybe it's a caching issue?

@Ejegg @TSkaff The problem was that new paragraph hadn't been marked for translation after being changed. I've fixed it now, along with the pt-br link. Want to try again?

TSkaff added a comment.May 3 2019, 6:14 PM

Thank you @Pcoombe! Looks good to me.

Thanks all! I believe there is a separate step to change the Subject line for all these languages. Do you want us to create a separate Phab task for that @Ejegg ? Could you please remind us of where the new SL will need to be added?

@Pcoombe added a task a while ago [https://phabricator.wikimedia.org/T167806] asking for the SL and the body and the TY email to be translated in the same place, but I don't think that has happened yet. Could you please let us know about the status of this task? Thank you!

Ejegg added a comment.May 6 2019, 6:44 PM

@jrobell: If you want to put them on-wiki alongside the TY email body, we're actually able to do that now. We did most of the work to enable that last year.

The subject line is currently being translated along with the interface text for DonationInterface, though even the English text there is out of date: https://translatewiki.net/wiki/MediaWiki:Donate_interface-email-subject/en

TSkaff added a comment.May 7 2019, 5:55 PM

Hi Ejegg and Cstone! Jessica, Peter and I touched base on the TY email today:

Is it just below <languages/> ... and what tags would it need?

  • Also: Do we need to do anything to remove the old subject line?
  • Regarding the $amount ... I'm going to try republishing everything--Jessica & Peter said that in the past that's worked!
  • We thought it might be a good idea to set up a brief meeting soon to review some of the process, and add some proposals for future (such as not using $amount in translations but simply [amount] to make life easier).

Thanks very much for all your help with this!
Thea

Ejegg added a comment.May 8 2019, 3:01 PM

@TSkaff It would be easiest for us to have the subject line in its own page, like Fundraising/Translation/Thank_you_subject

Ejegg added a subscriber: Nikerabbit.EditedMay 8 2019, 3:14 PM

@TSkaff After looking into the logic of how we find the latest published version, I wouldn't be surprised if simply unpublishing and re-publishing did the trick. Please let us know when you've done that. Also, leaving the bracketed versions in all of the translations sound like a good way to go!

@Nikerabbit: I wonder if we're using the best way to find the latest version of each translation in 'published' state. Currently we're scanning the page review history using a query for list 'logevents' of type 'translationreview' on the parent page, looking for the latest with a matching language and new-state == 'published' and getting that review event's timestamp. Then we use the timestamp to get the revision of that language current at the time. Is there something more straightforward in the API?

I am afraid that is the only way to do it currently.

TSkaff added a comment.EditedMay 11 2019, 1:07 AM

Hi @Ejegg and @Cstone,

  • I created a page for the email subject line, translated and published everything. This is a new process for us (doing subject line this way) so let me know if anything's missing there.
  • I also republished each language of the main email, hopefully that solved the earlier problem.

Let me know if you need any further help!

Thea

Ejegg added a comment.May 13 2019, 6:32 PM

Thanks @TSkaff! All the main email body translations look good, except for Catalan. That one needed [givenname] changed to [given name] near the bottom. I made the change, but it still needs to be published.

Ah I see, thanks for that and I republished Catalan @Ejegg

@Ejegg @Cstone We just finished/updated Japanese too, if it isn't too late to add that to the list of languages to be published.

@TSkaff it's not too late, I added Japanese to the list.

Change 510220 had a related patch set uploaded (by Cstone; owner: Cstone):
[wikimedia/fundraising/crm@master] Update translated thank you content and subject for the 2018-10-01 thank you email.

https://gerrit.wikimedia.org/r/510220

TSkaff added a comment.EditedMay 22 2019, 4:01 PM

Hi @Ejegg and @Cstone, I edited the es and es-419 versions (and republished) due to a request from DS to clarify a bit of language. Thank you for your help! cc @MBeat33

Change 510220 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Update translated thank you content and subject for the 2018-10-01 thank you email.

https://gerrit.wikimedia.org/r/510220

Hey @TSkaff @MBeat33 I just deployed the updated thank you emails. There is also a page on civi to test them here: https://civicrm.wikimedia.org/admin/config/thank_you/test

Ejegg added a comment.Jul 3 2019, 6:39 PM

Oh hey, it's been a month since we updated the text. I think we can finally deploy your code, @Cstone!

Ejegg added a comment.Jul 16 2019, 1:47 PM

@mepps unfortunately, @Cstone's patch needs to be rebased before we can merge it: https://gerrit.wikimedia.org/r/490666

Change 490666 had a related patch set uploaded (by Cstone; owner: Cstone):
[wikimedia/fundraising/crm@master] Add in check to set no_thank_you field for recurring payments after the first recurring payment.

https://gerrit.wikimedia.org/r/490666

Change 490666 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Add in check to set no_thank_you field for recurring payments after the first recurring payment.

https://gerrit.wikimedia.org/r/490666

DStrine closed this task as Resolved.Tue, Aug 6, 8:08 PM